// src/api/user/getUser.ts
import instance from "../axiosInstance"
import type { UserProfile } from "../../models/user/UserProfile"

export async function getUser(userName: string): Promise<UserProfile> {
  try {
    const { data } = await instance.get<UserProfile>(`/user/${userName}`)
    return data
  } catch (err: any) {
    console.error("Kullanıcı bilgileri alınamadı:", err)
    throw new Error(
      err.response?.data?.message || "Kullanıcı bilgileri alınamadı"
    )
  }
}